Sign In with your
Trend Micro Account
Need Help?
Need More Help?

Create a technical support case if you need further support.

Installing Linux Deep Security Agent fails when Linux Endpoint Sensor Agent is installed

    • Updated:
    • 26 Apr 2021
    • Product/Version:
    • Cloud One - Workload Security All
    • Deep Security All
    • Platform:
    • Linux
Summary

When installing the Deep Security Agent (DSA) on a host with an existing Linux Endpoint Sensor (used for XDR Integration), the installation fails. DSA can't be installed successful and the following error appears, which means these files already exist.

DS install fails

Details
Public

DSA cant be installed successful if the host has been installed with the Linux Endpoint Sensor agent because it is not compatible with DSA.

It is recommended to do the following steps to resolve the issue and avoid two endpoint entities with same machine showing on XDR Endpoint Inventory UI.

To resolve the issue:

  1. Uninstall the XBC agent by moving it to the tmxbc installation folder and uninstalling it.

    Uninstall XBC

  2. Uninstall the Linux Endpoint Sensor agent.

    You can refer to this article for more information.

    Uninstall Linux Endpoint Sensor

  3. Install DSA.
Premium
Internal
Partner
Rating:
Category:
Deploy; Install
Solution Id:
000282736
Feedback
Did this article help you?

Thank you for your feedback!


*This form is automated system. General questions, technical, sales, and product-related issues submitted through this form will not be answered.

If you need additional help, you may try to contact the support team. Contact Support

To help us improve the quality of this article, please leave your email here so we can clarify further your feedback, if neccessary:
We will not send you spam or share your email address.

*This form is automated system. General questions, technical, sales, and product-related issues submitted through this form will not be answered.